﻿// LogInDlg.cpp: 实现文件
//

#include "pch.h"
#include "aike.h"
#include "afxdialogex.h"
#include "LogInDlg.h"
#include "aikeDlg.h"


// LogInDlg 对话框

IMPLEMENT_DYNAMIC(LogInDlg, MyDialog)

LogInDlg::LogInDlg(CWnd* pParent /*=nullptr*/)
	: MyDialog(IDD_LOGINDLG, pParent)
{
	m_Parent = pParent;
}

LogInDlg::~LogInDlg()
{
}


BEGIN_MESSAGE_MAP(LogInDlg, MyDialog)
	ON_WM_PAINT()
//	ON_NOTIFY(BCN_HOTITEMCHANGE, IDC_CHECK1, &LogInDlg::OnBnHotItemChangeCheck1)
//	ON_NOTIFY(NM_THEMECHANGED, IDC_CHECK1, &LogInDlg::OnNMThemeChangedCheck1)
	ON_BN_CLICKED(IDC_CHECK1, &LogInDlg::OnBnClickedCheck1)
	ON_WM_CTLCOLOR()
END_MESSAGE_MAP()



BOOL LogInDlg::OnInitDialog()
{
	__super::OnInitDialog();
	CImage img;
	img.Load(_T("../aike/res/background.jpg"));
	//SetBackground(img);
	//PaintDlg();
	// TODO:  在此添加额外的初始化
	//PaintDlg();
	FixedSize();
	CRect rt = {0,0,90,30};
	/*480,325*/
	rt.MoveToXY(120, 240);
	AddButton(1, rt);
	SetLClick(1, [this](int i) {LoginClick(i); });
	rt.MoveToXY(270, 240);
	AddButton(2, rt); 
	SetLClick(2, [this](int i) {CloseClick(i); });
	if (IsLogin)
	{
		GetDlgItem(IDC_EDIT3)->ShowWindow(SW_HIDE);
		GetDlgItem(IDC_STATIC3)->ShowWindow(SW_HIDE);
		GetDlgItem(IDC_EDIT4)->ShowWindow(SW_HIDE);
	}
	else
	{
		GetDlgItem(IDC_EDIT1)->ShowWindow(SW_HIDE);
		GetDlgItem(IDC_CHECK1)->ShowWindow(SW_HIDE);
		GetDlgItem(IDC_STATIC1)->SetWindowText(_T("密        码:"));
		GetDlgItem(IDC_STATIC2)->SetWindowText(_T("确认密码:"));
	}

	return TRUE;  // return TRUE unless you set the focus to a control
	// 异常: OCX 属性页应返回 FALSE
}

VOID LogInDlg::LoginClick(int id)
{
	CaikeDlg* dlg = (CaikeDlg*)m_Parent;
	if (IsLogin)
	{
		CString Name, Pass, tmp;
		GetDlgItemText(IDC_EDIT1, Name);
		GetDlgItemText(IDC_EDIT2, Pass);
		BOOL sys = ((CButton*)GetDlgItem(IDC_CHECK1))->GetCheck();
		if (!sys)
		{
			if (Name == _T(""))
			{
				MessageBox(_T("请输入要登陆的账号"), _T("温馨提示"));
				return;
			}
		}
		else
		{
			Name = _T("系统管理员");
		}
		switch (dlg->CheckUser(Name, Pass, 1))
		{
		case 0:
			MessageBox(_T("账号不存在,或该账号不允许登录电脑端"), _T("温馨提示"));
			break;
		case 1:
			if (sys)
			{
				dlg->LogName = _T("系统管理员");
			}
			else
			{
				dlg->LogName = Name;
			}
			dlg->SetLogInInfo(dlg->LogName);
			MyDialog::OnOK();
			break;
		case 2:
			MessageBox(_T("密码输入错误"), _T("温馨提示"));
			break;
		default:
			break;
		}
	}
	else
	{
		CString Pass, Pass1,Pass2, tmp;
		GetDlgItemText(IDC_EDIT2, Pass);
		GetDlgItemText(IDC_EDIT3, Pass1);
		GetDlgItemText(IDC_EDIT4, Pass2);
		if (Pass != Pass1)
		{
			MessageBox(_T("两次输入的密码不一致"), _T("温馨提示"));
			return;
		}
		if (Pass.GetLength() > 16)
		{
			MessageBox(_T("密码长度不能超过16位"), _T("温馨提示"));
			return;
		}
		switch (dlg->ChangePass(dlg->LogName, Pass2, Pass))
		{
		case 0:
			MessageBox(_T("账号不存在"), _T("温馨提示"));
			break;
		case 1:
			MessageBox(_T("密码修改成功"), _T("温馨提示"));
			MyDialog::OnOK();
			break;
		case 2:
			MessageBox(_T("旧密码密码输入错误"), _T("温馨提示"));
			break;
		case 3:
			MessageBox(_T("SQL语句执行错误"), _T("温馨提示"));
			break;
		default:
			break;
		}
	}
}

VOID LogInDlg::CloseClick(int id)
{
	MyDialog::OnCancel();
	//return VOID();
}


void LogInDlg::OnBnClickedCheck1()
{
	GetDlgItem(IDC_EDIT1)->EnableWindow(!((CButton*)GetDlgItem(IDC_CHECK1))->GetCheck());
	// TODO: 在此添加控件通知处理程序代码
}


void LogInDlg::OnOK()
{
	// TODO: 在此添加专用代码和/或调用基类
	LoginClick(1);
	//MyDialog::OnOK();
}
