﻿
// aikeDlg.h: 头文件
//

#pragma once
#include "StaffDlg.h"
#include "RoomSetUpDlg.h"
#include "CommodityDlg.h"
#include "DiscountDlg.h"
#include "MemberSetUpDlg.h"
#include "PaymentDlg.h"
#include "PrintSetUpDlg.h"
#include "CouponDlg.h"
#include "ParameterDlg.h"
#include "LogInDlg.h"

// CaikeDlg 对话框
class CaikeDlg : public MyDialog
{
	// 构造
public:
	CaikeDlg(CWnd* pParent = nullptr);	// 标准构造函数

	// 对话框数据
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_AIKE_DIALOG };
#endif

protected:
//	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV 支持


	// 实现
protected:
	HICON m_hIcon;

	// 生成的消息映射函数
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	//变量
	ADOSQL AdoSql;			//连接数据库
	//SocketClien SClien;	//连接服务器
	CString m_Path;			//本程序路径
	CString ServerIP;		//服务器IP
	CString DataBase;		//数据库名称
	CString UserName;		//数据库用户名
	CString AdoPass;		//数据库密码
	CString LogName;		//当前登录的账号
	char AesKey[18] = "aikehotel19980921";	//AES密钥
	RoomSetUpDlg m_RoomSetUpDlg;	//房间设置界面
	CommodityDlg m_CommodityDlg;	//商品信息界面
	PaymentDlg PaymentDlg;			//付款方式界面
	MemberSetUpDlg MemberSetUpDlg;	//会员设置界面
	DiscountDlg m_DiscountDlg;		//折扣方案界面
	StaffDlg m_StaffDlg;			//员工信息界面
	PrintSetUpDlg PrintSetUpDlg;	//打印设置界面
	CouponDlg m_CouponDlg;			//票券设置界面
	ParameterDlg m_ParameterDlg;	//参数设置界面
	//MFC回调函数
//	virtual BOOL PreTranslateMessage(MSG* pMsg);			//截获窗口消息
	afx_msg void OnSize(UINT nType, int cx, int cy);		//窗口大小发生改变
	afx_msg void OnGetMinMaxInfo(MINMAXINFO* lpMMI);		//设置窗口最大和最小范围
	virtual void OnOK();			//按下回车
	afx_msg void OnDestroy();		//窗口即将销毁
	afx_msg void OnShowMenu();		//显示窗口（托盘消息）
	afx_msg void OnCloneMenu();		//关闭窗口（托盘消息）
	afx_msg void OnCommand(UINT id);

	//自己创建的函数
	VOID Initialize();				//初始化
	BOOL TrayMylcon(BOOL bAdd);		//添加系统托盘
	LRESULT OnTrayCallBackMsg(WPARAM wparam, LPARAM lparam);	//点击系统托盘响应事件
	VOID MinClick(int id);			//最小化窗口
	VOID MaxClick(int id);			//最大化窗口
	VOID ReductionClick(int id);	//还原窗口
	VOID CloseClick(int id);		//关闭窗口
	VOID MoveAllWin();				//移动所有窗口和按钮
	VOID HideAllBt(BOOL Hide = TRUE);		//隐藏所有按钮
	BOOL CheckAuthority(CString Authority);	//检查权限
	INT CheckUser(CString Name, CString Pass, int type);	//检查账号密码
	INT ChangePass(CString Name, CString OPass, CString NPass);	//修改密码
	VOID SetLogInInfo(CString info);	//设置登录信息
	VOID SetUpClick(int id);		//设置按钮
	VOID HomepageClick(int id);		//回到主页
	VOID RoomSetUpClick(int id);	//点击房间设置
	VOID CommodityClick(int id);	//点击商品设置
	VOID PaymentClick(int id);		//点击付款方式
	VOID MemberSetUpClick(int id);	//点击会员管理
	VOID DiscountClick(int id);		//点击折扣方案
	VOID StaffClick(int id);		//点击员工信息
	VOID PrintSetUpClick(int id);	//点击打印设置
	VOID CouponClick(int id);		//点击票券设置
	VOID ParameterClick(int id);	//点击参数设置
	VOID LogInInfoClick(int id);	//点击参数设置

};


//按钮对照表
/*
1	最小化
2	最大化
3	还原
4	关闭
5	显示软件图标和登录信息
100	前台营业
200	会员管理
300	报表管理
400	预定管理
500	库存管理
600	基础设置
101	返回主页
601	房间设置界面
602	商品信息界面
603	付款方式界面
604	会员设置界面
605	折扣方案界面
606	员工信息界面
607	打印设置界面
608	票券设置界面
609	参数设置界面
*/